package payroll2;

public class BasePlusCommissionEmployee extends CommissionEmployee {

	private BasePlusCommissionSalary salary;

	public BasePlusCommissionEmployee(String firstName, String lastName, int id,
			double commissionRate, double totalSales, double amount) {
		super(firstName, lastName, id, commissionRate, totalSales);

		salary = new BasePlusCommissionSalary(new BaseSalary(amount),
				super.getCommissionedSalary());
	}

	@Override
	public Salary getSalary() {
		return salary;
	}

	@Override
	public String toString() {
		return String.format("base salaried %s;\nbase salary: $%.2f",
				super.toString(), salary.getBaseSalary().getTotal());
	}
}
