package payroll2;

public class BaseSalary implements Salary {
	private double amount;
	
	BaseSalary(double amount) {
		this.amount = amount;
	}
	
	@Override
	public double getTotal() {
		return amount;
	}

	@Override
	public void accept(SalaryVisitor visitor) {
		visitor.visit(this);
	}
	
	public double getBaseAmount() {
		return amount;
	}

	public void raise(double d) {
		this.amount += d;
	}
}
