package payroll2;

public class CommissionedSalary implements Salary {
	private double commissionRate;
	private double totalSales;
	
	public CommissionedSalary(double commissionRate, double totalSales) {
		super();
		this.commissionRate = commissionRate;
		this.totalSales = totalSales;
	}

	public double getCommissionRate() {
		return commissionRate;
	}
	
	public double getTotalSales() {
		return totalSales;
	}
	
	@Override
	public double getTotal() {
		return totalSales * commissionRate;
	}

	@Override
	public void accept(SalaryVisitor visitor) {
		visitor.visit(this);
	}
	
	public void raise(double r) {
		commissionRate += r;
	}

}
