package payroll2;

public class HourlyEmployee extends Employee {

	HourlySalary salary;

	public HourlyEmployee(String firstName, String lastName, int id,
			double rate, int hours) {
		super(firstName, lastName, id);
		salary = new HourlySalary(hours, rate);
	}

	@Override
	public Salary getSalary() {
		return salary;
	}

	@Override
	public String toString() {
		return String.format(
				"hourly employee: %s\nhourly wage: $%.2f; hours worked: %d",
				super.toString(), salary.getRate(), salary.getHours());
	}
}
