package payroll2;

public class SalariedEmployee extends Employee {

	BaseSalary salary;

	public SalariedEmployee(String firstName, String lastName, int id,
			double amount) {
		super(firstName, lastName, id);
		salary = new BaseSalary(amount);
	}

	@Override
	public String toString() {
		return String.format("salaried employee: %s\nweekly salary: $%.2f",
				super.toString(), salary.getTotal());
	}

	@Override
	public Salary getSalary() {
		return salary;
	}
}
